org.eclipse.net4j.util.security

## Interface IPasswordCredentialsProvider2

- All Superinterfaces:
    ICredentialsProvider, ICredentialsProvider2, IPasswordCredentialsProvider
  All Known Implementing Classes:
    InteractiveCredentialsProvider

      public interface IPasswordCredentialsProvider2
      extends IPasswordCredentialsProvider, ICredentialsProvider2

  Since:
    3.3
  Author:
    Eike Stepper

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.util.security.IPasswordCredentialsProvider

      `IPasswordCredentialsProvider.Provider`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `IPasswordCredentials` | `getCredentials(java.lang.String realm)`

    - ### Methods inherited from interface org.eclipse.net4j.util.security.IPasswordCredentialsProvider

      `getCredentials`

    - ### Methods inherited from interface org.eclipse.net4j.util.security.ICredentialsProvider

      `isInteractive`

- - ### Method Detail

    - #### getCredentials

          IPasswordCredentials getCredentials(java.lang.String realm)

      Specified by:
        `getCredentials` in interface `ICredentialsProvider2`

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html